Documentation Index Fetch the complete documentation index at: https://docs.kicks.dev/llms.txt
Use this file to discover all available pages before exploring further.
In order to get the sales history of a product, you need to know the ID of the product. Follow the Get a product from GOAT recipe to get the ID of the product.
Get product sales history Get the sales history of the product
Getting daily sales history Get the daily aggregated sales history of the product
The following endpoint returns the sales history of the product, including the sale price, date and location.
GET https://api.kicks.dev/v3/goat/products/[id]/sales
Response example:
{
"$schema" : "https://api.kicks.dev/schemas/RespListGoatProductSaleBody.json" ,
"data" : [
{
"product_id" : 121 ,
"type" : "PURCHASE_TYPE_SALE" ,
"size_us" : "12" ,
"currency" : "USD" ,
"amount" : 200 ,
"location" : "Athens, US" ,
"purchased_at" : "2025-04-20T17:31:00Z"
}
],
"meta" : {
"page" : 1 ,
"per_page" : 20
}
}
The available type values are:
PURCHASE_TYPE_SALE: Most common type, it means the product was sold at the “Buy Now” price.
PURCHASE_TYPE_OFFER_CLOSED: It means the product was negotiated and sold at a different price than the “Buy Now” price.
You can use the /daily endpoint to get the daily aggregated sales history of the product, like this:
GET https://api.kicks.dev/v3/goat/products/[ID_or_SLUG]/sales/daily
Response example:
{
"$schema" : "https://api.kicks.dev/schemas/RespListGoatProductSaleAggBody.json" ,
"data" : [
{
"product_id" : 1381901 ,
"avg_amount" : 177.5 ,
"orders" : 28 ,
"date" : "2025-12-08T00:00:00Z"
},
{
"product_id" : 1381901 ,
"avg_amount" : 182.95454545454547 ,
"orders" : 88 ,
"date" : "2025-12-07T00:00:00Z"
}
// ... more daily sales ...
]
}